#include "BaseMenuLoadoutItemViewData.h"

bool UBaseMenuLoadoutItemViewData::IsValidData() const
{
	return false;
}

UBaseMenuLoadoutItemViewData::UBaseMenuLoadoutItemViewData()
{
	this->ItemId = NAME_None;
	this->Rarity = EItemRarity::Common;
	this->StackCount = 0;
	this->ShowStackCount = false;
	this->IsLocked = false;
	this->IsRandomSlot = false;
	this->IsRandomItem = false;
	this->Availability = EItemAvailability::Available;
	this->IsEquipped = false;
	this->IsEnabled = false;
	this->ItemSourceTags = EItemSourceTag::None;
	this->DisplayName = FText::GetEmpty();
	this->Description = FText::GetEmpty();
	this->ItemType = EInventoryItemType::None;
	this->EventName = FText::GetEmpty();
	this->EventId = TEXT("");
}
